CVE-2024-3130

CVSS 3.1 Score 5.7 of 10 (medium)

Details

Published Apr 1, 2024
CWE ID 798

Summary

The vulnerability with CVE ID CVE-2024-3130 affects CoolKit eWeLink app versions before 5.4.x on Android and iOS. It involves hard-coded credentials, allowing a local attacker to gain unauthorized access to sensitive data through decryption algorithms and keys obtained after decompiling the app. The risk score is 25, indicating a medium severity level. The base score is 5.7, with high privileges required and no user interaction necessary. The attack vector is local, with high integrity and confidentiality impacts. Remediation for this vulnerability should include updating the CoolKit eWeLink app to version 5.4.x or later, which should address the issue and reduce the potential danger it poses to organizations using the app.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-3130 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options